#!/bin/bash

if [ -d ~/.ansible ]
  then
    SECRETS="$( cd ~/.ansible && pwd )/secrets"
fi
cd $( cd $(dirname $(readlink -f $0)) ; pwd )

if [ -f ./inventory/inventory ]
  then
    INVENTORY=./inventory/inventory
  else
    INVENTORY=./inventory/$ANSIBLE_COMPANY/inventory
fi

if [ "$3" == "" ]
  then
    echo "Usage"
    echo "ansible.sh HOSTS COMMAND OPTIONS"
    exit 101;
fi
HOSTS=$1
shift

if [ ! -f $INVENTORY ]
  then
    echo "The inventory $INVENTORY does not exist!"
    exit 102;
fi

if [ -f $SECRETS ]
  then
    ansible $HOSTS -i $INVENTORY -e @$SECRETS "$@"
else
  ansible $HOSTS -i $INVENTORY "$@"
fi
