#!/bin/bash

cd $( cd $(dirname $(realpath $0)) ; pwd )

if [ "$2" == "" ]
  then
    echo "Usage"
    echo "inithost.sh HOST IP [USER [KEYFILE]]"
    exit 101;
fi

HOST=$1
IP=$2
ROOT=root
KEYFILE=--ask-pass
shift
shift
if [ "$1" != "" ]
  then
    ROOT=$1
    shift
fi
if [ "$1" != "" ]
  then
    KEYFILE=--private-key=$1
    shift
fi

./ansible-playbook.sh inithost --extra-vars="inituser=$ROOT host=$HOST inithostip=$IP firstuser=$USER" --tags="prepare" $KEYFILE "$@"
./ansible-playbook.sh inithost --extra-vars="host=$HOST inithostip=$IP distribute_keys=true" --tags="config" "$@"
